import numpy as np
import random


def random_sample_data(dataset, sample_num):
    dataset_len = len(dataset)
    random_index = random.sample([i for i in range(dataset_len)], sample_num)
    sample_data = []
    for i in random_index:
        sample_data.append(dataset[i])

    return sample_data


def get_tqdm():
    """Tries to import ``tqdm`` from ``tqdm.auto`` if fails uses cli ``tqdm``."""
    try:
        from tqdm.auto import tqdm
        return tqdm
    except ImportError:
        from tqdm import tqdm
        return tqdm


def ifnone(a, b):
    """If a is None return b."""
    if a is None:
        return b
    else:
        return a


